Apple Updates International FireWire Drivers

| News
Apple has brought international support for FireWire to version 2.4, bringing it up to the US level. The new drivers include a host of improvements and other enhancements. According to Apple:

Description

FireWire 2.4 is a component of the Mac OS. The FireWire 2.4 software includes three system extensions:

  • FireWire Support. This extension adds services to the Mac OS to support the use of FireWire hardware and software.
  • FireWire Enabler. This extension adds hardware-specific support for certain FireWire interfaces.
  • FireWire CardBus Enabler. This extension adds hardware-specific support for the Newer FireWire 2 Go CardBus interface, for use with PowerBook computers.
  • FireWire 2.4 extends the battery life on the PowerBook (FireWire) when no FireWire devices are connected. The savings vary depending on how the PowerBook is used. When you connect a new FireWire device to a PowerBook (FireWire), there may be a short delay before it is recognized.
  • FireWire 2.4 fixes three problems that may be experienced by customers who are presently using FireWire 2.3.3 or an earlier version:
  • Performance is improved for FireWire hard disk drives on most Macintosh computers. The improvement is greatest when writing to the disk, and for very fast disks.
  • Unplugging a DV camera while running iMovie in certain situations no longer causes a crash.
  • Compatibility with some third-party isochronous devices has been improved

Other Related Information
About this software: Read Me
Related Technical Articles: None Specified  

OS Required
English-International Mac OS 9.0, 9.0.2, 9.0.3, or 9.0.4

Note: To use FireWire 2.4 on a Blue and White Power Macintosh G3, you should first install Mac OS 9 or the G3 Firmware Update 1.0.2 or 1.1. This software provides PCI performance adjustments that are necessary for maximum FireWire performance. The G3 Firmware Update is available here:
http://asu.info.apple.com/swupdates.nsf/artnum/n11361

Software Required
If you want to use FireWire digital video devices with your computer, you need the latest version of QuickTime, which contains the necessary drivers. You can get the latest version of QuickTime at the QuickTime Web site:http://www.apple.com/quicktime

Hardware Required
To use FireWire 2.4, you need a Macintosh computer with the following:

  • built-in FireWire ports, or at least one FireWire PCI card or CardBus card installed

Installation Instructions
This software consists of a self-mounting Disk Copy compressed image (.smi) file. Download this software to your hard drive and then double-click it to use it. You do not need Disk Copy to access .smi files.

Read Download Help (http://asu.info.apple.com/swupdates.nsf/artnum/n1004) if you need assistance downloading software.

You can find more information and download links at Appleis Web site.

Sign Up for the Newsletter

Join the TMO Express Daily Newsletter to get the latest Mac headlines in your e-mail every weekday.

No Comments

Log-in to comment